Subject: [Capwap] 转发 :FYI: About IANA assignment

From: shiyang 00338 <[email-masked]>
Date: Mon, 25 Jan 2010 21:31:30 +0800

Subject: FYI: About IANA assignment
From: shiyang 00338 <[email-masked]>
To: "Romascanu, Dan (Dan)" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 25 Jan 2010 21:28:35 +0800

Dear Dan:

Last week, Amanda asked me to give 
ifType labels without hyphens.
I gave reply as followed (under ////)
soon and CC to capwap@frascone, now it is seemed
the msg has not been received by the mailing list.

Wish Amanda already got it.

Regards
Richard

//////////////////////////

Hi, Amanda:

Thanks for your reminder.
The ifType labels without hyphens would be:
1) "name" field for "WLAN BSS Interface" is:
capwapDot11Bss
2) "name" field for " WLAN Profile Interface" is:
capwapDot11Profile
3) "name" field for " WTP Virtual Radio Interface" is:capwapWtpVirtualRadio

Regards
Richard

----- ԭ�ʼ� -----
��: Amanda Baber <[email-masked]>
����: ������, һ�� 23��, 2010 ����4:05
����: Re: About IANA assignment

> Hi,
>
> Can you give us ifType labels without hyphens? Section 7.1.1 of
> RFC 2578 has
> the relevant guidelines:
>
> "A label for a named-number enumeration must consist of one
> or more letters or digits, up to a maximum of 64 characters, and the
> initial character must be a lower-case letter.  (However, labels
> longer than 32 characters are not recommended.)  Note that hyphens
> are not allowed by this specification (except for use by information
> modules converted from SMIv1 which did allow hyphens)."
>
> Thanks,
>
> Amanda Baber
> IANA

��: "Romascanu, Dan (Dan)" <[email-masked]>
����: ����һ, һ�� 25��, 2010 ����8:41
����: RE: [Capwap] About IANA assignment

> Richard's proposals seem fine to me.  If agreed by the WG I 
> suggest that you forward the responses to IANA. 
> 
> Dan
> 
> 
> > -----Original Message-----
> > From: young [[email-masked]] 
> > Sent: Friday, January 22, 2010 8:58 AM
> > To: [email-masked]
> > Cc: 'Yong Zhang'; [email-masked]
> > Subject: [Capwap] About IANA assignment
> > 
> > Hi, All:
> > 
> > According the IANA opinions:
> > https://datatracker.ietf.org/idtracker/draft-ietf-capwap-802do
> > t11-mib/commen
> > t/105019/
> > 
> > The editors give the following comments:
> > For [RFC-capwap-802dot11-mib]
> > 1) "WLAN BSS Interface" needs assignment instead of "WTP 
> > Virtual Radio Interface"
> > 2) Suggest "name" field for "WLAN BSS Interface" is: capwap-dot11Bss
> > 3) Suggest "name" field for " WLAN Profile Interface" is:
> > capwap-dot11Profile
> > 
> > For [RFC- draft-ietf-capwap-base-mib-08]
> > 1) It needs ifType assignment for the WTP Virtual Radio Interface.
> > 2) Suggest "name" field for " WTP Virtual Radio Interface" is:
> > capwap-virtualRadio. If IANA think the "name" is a bit long, 
> > suggest to use: capwap-vRadio.
> > 
> > 
> > Action #2:
> > Upon approval of this document, IANA will assign the following
> > mib-2 numbers at
> > http://www.iana.org/assignments/smi-numbers
> > 
> > Decimal Name Description Reference
> > ------- | ------------ | ------------------------------- | ------
> ---
> > TDB3 | capwapDot11MIB | Control And Provisioning of Wireless 
> > Access Points |
> > [RFC-capwap-802dot11-mib-05]
> > [Richard} I am ok but not very sure. Dan please check it too, 
> thanks.> 
> > For RFC- draft-ietf-capwap-base-mib-08, it also needs mib-2 number
> > assignment.
> > 
> > TO WG, we suggest:
> > Suppose in future, CAPWAP WG has more wireless binding MIBs, 
> > it would follow
> > similar Rules like Dot11 binding. 
> > Suppose we have 802.16 binding MIB which needs ifType 
> > assignment, it could
> > use "name" like capwap-dot16xxx.
> > Any way, the interface name should indicate the capwap and a 
> specific> wireless binding.
> > 
> > Regards
> > Richard
> > 
> > -----�ʼ�ԭ��-----
> > ������: [email-masked] [[email-masked]] 
> > ����ʱ��: 2010��1��21�� 19:18
> > �ռ���: [email-masked]
> > ����: Capwap Digest, Vol 50, Issue 10
> > 
> > Send Capwap mailing list submissions to
> > 	[email-masked]
> > 
> > To subscribe or unsubscribe via the World Wide Web, visit
> > 	http://lists.frascone.com/mailman/listinfo/capwap
> > or, via email, send a message with subject or body 'help' to
> > 	[email-masked]
> > 
> > You can reach the person managing the list at
> > 	[email-masked]
> > 
> > When replying, please edit your Subject line so it is more specific
> > than "Re: Contents of Capwap digest..."
> > 
> > 
> > Today's Topics:
> > 
> >    1. FW: [IANA #293014] Evaluation:
> >       draft-ietf-capwap-802dot11-mib-06.txt toInformational RFC
> >       (Romascanu, Dan (Dan))
> >    2. FW: DISCUSS: draft-ietf-capwap-base-mib (Romascanu, Dan (Dan))
> > 
> > 
> > -----------------------------------------------------------------
> -----
> > 
> > Message: 1
> > Date: Wed, 20 Jan 2010 20:12:39 +0100
> > From: "Romascanu, Dan (Dan)" <[email-masked]>
> > Subject: [Capwap] FW: [IANA #293014] Evaluation:
> > 	draft-ietf-capwap-802dot11-mib-06.txt toInformational RFC
> > To: <[email-masked]>
> > Message-ID:
> > 	
> > <[email-masked]
> > vaya.com>
> > 	
> > Content-Type: text/plain;	charset="us-ascii"
> > 
> >  Editors,
> > 
> > Please address the IANA comments.
> > 
> > No new version, please - just a proposal how to address the 
> problem or
> > explanation why this is not a problem. 
> > 
> > Thanks and Regards,
> > 
> > Dan
> > 
> > 
> > -----Original Message-----
> > From: [email-masked] [[email-masked]] On 
> > Behalf Of
> > Amanda Baber via RT
> > Sent: Wednesday, January 20, 2010 9:09 PM
> > Cc: [email-masked]
> > Subject: [IANA #293014] Evaluation:
> > draft-ietf-capwap-802dot11-mib-06.txt toInformational RFC 
> > 
> > IESG:
> > 
> > IANA NOT OK.  Comments in tracker
> > IANA Actions - YES
> > 
> > We still need names/descriptors (e.g., "capwapDot11MIB") for the new
> > ifType assignments.
> > 
> > Thank you,
> > 
> > Amanda Baber
> > (On behalf of IANA)
> > 
> > 
> > 
> > ------------------------------
> > 
> > Message: 2
> > Date: Thu, 21 Jan 2010 11:10:38 +0100
> > From: "Romascanu, Dan (Dan)" <[email-masked]>
> > Subject: [Capwap] FW: DISCUSS: draft-ietf-capwap-base-mib
> > To: "young" <[email-masked]>
> > Cc: [email-masked], Yong Zhang <[email-masked]>
> > Message-ID:
> > 	
> > <[email-masked]
> > vaya.com>
> > 	
> > Content-Type: text/plain;	charset="us-ascii"
> > 
> > Richard,
> > 
> > Please address the issues raised by Pasi in his DISCUSS.
> > 
> > Thanks and Regards,
> > 
> > Dan
> >  
> > 
> > -----Original Message-----
> > From: [email-masked] [[email-masked]] On 
> > Behalf Of
> > Pasi Eronen
> > Sent: Thursday, January 21, 2010 12:07 PM
> > To: [email-masked]
> > Cc: [email-masked];
> > [email-masked]
> > Subject: DISCUSS: draft-ietf-capwap-base-mib 
> > 
> > Discuss:
> > I have reviewed draft-ietf-capwap-base-mib-08, and have 
> > couple of small
> > questions that I'd like to discuss before recommending approval 
> of the
> > document:
> > 
> > - The MIB provides a writable object for switching between X.509 
> certs> and PSK authentication for DTLS.  Since the MIB can't 
> > actually configure
> > the PSK (or X.509 certificate and corresponding private key, for 
> that> matter), is this object actually useful?
> > 
> > - It seems capwapBaseWtpState indicates the AC's CAPWAP FSM 
> state for
> > each WTP, not the WTP's FSM? (which, at any single point of 
> time, be
> > slighly different)
> > 
> > - Section 9.1/9.2: it looks like these should be new CAPWAP Message
> > Element Types, not Vendor Specific Payloads? (and the current text
> > doesn't say what vendor ID would be used)
> > 
> > - Why is "dns" allowed as capwapBaseWtpStateWtpIpAddressType?  
> (the AC
> > obviously sees the IP address the WTP's connection comes from, 
> but not
> > the DNS name?)
> > 
> > - capwapBaseWtpStateWtpIpAddressType: is this the IP address 
> > of the WTP
> > as seen by the AC, or as sent in the "CAPWAP Local IPv4/6 Address"
> > message element?
> > 
> > - A question: Did the WG consider including NAT-related information
> > CapwapBaseWtpStateEntry? For example, whether NAT was 
> > detected, and what
> > the other address (depending on the question above) was?
> > 
> > - capwapBaseMacAclId: this seems to limit the number of ACL 
> entries to
> > 255 -- why? (although RFC 5415 doesn't support sending more 
> > than 255 ACL
> > entries in a single "Add MAC ACL Entry" message element, the AC 
> could> send more than one of those)
> > 
> > - capwapBaseWtpProfileWtpStaticIpType: How would the "ipv4z" 
> type be
> > used by the CAPWAP protocol? (it doesn't seem to use the zone 
> index in
> > any way)
> > 
> > 
> > 
> > 
> > ------------------------------
> > 
> > _________________________________________________________________
> > To unsubscribe or modify your subscription options, please visit:
> > http://lists.frascone.com/mailman/listinfo/capwap
> > 
> > Archives: http://lists.frascone.com/pipermail/capwap
> > 
> > End of Capwap Digest, Vol 50, Issue 10
> > **************************************
> > 
> > 
> > _________________________________________________________________
> > To unsubscribe or modify your subscription options, please visit:
> > http://lists.frascone.com/mailman/listinfo/capwap
> > 
> > Archives: http://lists.frascone.com/pipermail/capwap
> > 
>
_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap